Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - c -

- c : wgetch_arg , DateData , OnigToken , sip_state , CHAR64LONG16
- cache : mark_stack
- cache_size : mark_stack
- cached_const : iseq_compile_data
- call : OnigToken , _Node , rb_call_info_struct
- call_addr : EncloseNode
- call_frame : _OnigStackType
- callback : each_obj_args
- called_id : rb_method_entry_struct
- callinfo_entries : rb_iseq_struct
- callinfo_size : rb_iseq_struct
- calltype : cfunc_data
- canonical : yaml_emitter_s
- canonname : rb_addrinfo_t
- capa : FBufferStruct , nkf_buf_t , vtable , RString , RArray , rb_io_buffer_t , io_internal_read_struct , io_internal_write_struct , StrNode
- capture_history : re_pattern_buffer , ScanEnv
- car : ConsAltNode
- case_fold_flag : re_pattern_buffer , OnigCompileInfo , OptEnv , ScanEnv
- catch_table : rb_iseq_struct
- catch_table_ary : iseq_compile_data
- catch_table_size : rb_iseq_struct
- categorize : chunk_arg
- cbuf : gzfile , rb_io_t
- cc : IApplyCaseFoldArg
- cclass : _Node
- cdr : ConsAltNode
- cfp : rb_debug_inspector_struct , rb_thread_struct , rb_trace_arg_struct
- cfunc : RNode , rb_method_definition_struct , rb_backtrace_location_struct
- chain : re_pattern_buffer
- char_len : EncloseNode , AnchorNode
- char_offset : rmatch
- char_offset_num_allocated : rmatch
- char_offset_updated : rmatch
- char_pos : pair_t
- chdir_dir : rb_execarg
- chdir_given : rb_execarg
- check_root : evloop_params
- check_var : evloop_params
- child_pid : pty_info
- childs : OnigCaptureTreeNodeStruct
- chunk : mark_stack
- cif : fiddle_closure
- close_dst : copy_stream_struct
- close_others_do : rb_execarg
- close_others_given : rb_execarg
- close_others_maxhint : rb_execarg
- close_src : copy_stream_struct
- closed : yaml_emitter_s
- cmd : ioctl_arg , rb_execarg , rb_vm_struct
- cmdinfo : invoke_info
- cnt : RNode
- code : fiddle_closure , OnigCaseFoldCodeItem , OnigToken
- code_len : OnigCaseFoldCodeItem
- code_to_mbc : OnigEncodingTypeST
- code_to_mbclen : OnigEncodingTypeST
- CodePage : myCPINFOEX
- CodePageName : myCPINFOEX
- column : yaml_emitter_s , token_info , yaml_mark_s
- command_abspath : rb_execarg
- command_name : rb_execarg
- comment : gzfile
- compare : st_hash_type
- compat_tbl : dump_arg , load_arg
- compile_data : rb_iseq_struct
- complex : RVALUE
- cond : PepperInstance , rb_thread_cond_struct , rb_global_vm_lock_struct , rb_mutex_struct
- cond_waiting : rb_mutex_struct
- conflict : rb_deprecated_classext_struct
- cons : _Node
- const_tbl : rb_classext_struct
- cont : iseq_catch_table_entry , rb_fiber_struct
- context : yaml_parser_s
- context_mark : yaml_parser_s
- contexts : rb_debug_inspector_struct
- Control : WSAMSG
- conv_tree_start : rb_transcoder
- copy_length : copy_stream_struct
- count : SHA1_CTX , md5_state_s , _OnigStackType , StringIO , rb_objspace
- counter : global_variable
- coverage : parser_params , rb_iseq_struct
- coverages : rb_vm_struct
- crc : gzfile
- create_additions : JSON_ParserStruct
- create_id : JSON_ParserStruct
- cref_stack : rb_iseq_struct
- crit : rb_thread_lock_union
- ctx_size : rb_digest_metadata_t
- ctype : OnigToken , CtypeNode , PosixBracketEntryType , _Node
- curbit : DBM
- curr : DIR , strscanner
- current : yaml_parser_s
- current_block : iseq_compile_data
- current_file : argf
- current_nesting : JSON_ParserStruct
- curstate : cparse_params
- cwday : tmx_funcs
- cweek : tmx_funcs
- cwyear : tmx_funcs